import { Delete } from "lucide-react";
import deleteRegion from "~/server/actions/deleteRegion";
import getAllCountries from "~/server/actions/getAllCountries";
import getAllRegions from "~/server/actions/getAllRegions";

export default async function AllRegions() {
  const allRegions = await getAllRegions();
  const allCountries = await getAllCountries();
  return (
    <div className="pt-4">
      <h1 className="text-2xl">All Regions:</h1>
      {allRegions.map((region) => (
        <div key={region.id} className="flex gap-1">
          <p>{region.name}</p>
          <form action={deleteRegion.bind(null, region.id)}>
            <button>
              <Delete />
            </button>
          </form>
        </div>
      ))}
    </div>
  );
}
